Package com.pixelmed.dose

# Class CTDoseAcquisition

java.lang.Object
com.pixelmed.dose.CTDoseAcquisition

public class CTDoseAcquisition extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`protected CTAcquisitionParameters`
`acquisitionParameters`
`protected ContentItem`
`contentItemFragment`
`protected String`
`CTDIvol`
`protected String`
`DLP`
`protected CTDoseCheckDetails`
`doseCheckDetails`
`protected static CodedSequenceItem`
`entireBodyDefaultAnatomy`
`protected CTPhantomType`
`phantomType`
`protected ScanRange`
`scanRange`
`protected CTScanType`
`scanType`
`protected String`
`scopeUID`
`protected String`
`seriesOrAcquisitionNumber`
`protected boolean`
`seriesOrAcquisitionNumberIsSeries`

## Constructor Summary

Constructors
Constructor
Description
`CTDoseAcquisition(String scopeUID, boolean seriesOrAcquisitionNumberIsSeries, String seriesOrAcquisitionNumber, CTScanType scanType, ScanRange scanRange, String CTDIvol, String DLP, CTPhantomType phantomType)`
`CTDoseAcquisition(String scopeUID, ContentItem parent)`

## Method Summary

Modifier and Type
Method
Description
`static boolean`
`checkUnitIs_mGy(CodedSequenceItem unit)`
`static boolean`
`checkUnitIs_mGycm(CodedSequenceItem unit)`
`boolean`
`equals(Object o)`
`CTAcquisitionParameters`
`getAcquisitionParameters()`
`String`
`getCTDIvol()`
`String`
`getDLP()`
`String`
`getDLPFromRangeAndCTDIvol()`
`CTDoseCheckDetails`
`getDoseCheckDetails()`
`String`
`getHTMLTableHeaderRow()`
`String`
`getHTMLTableRow()`
`CTPhantomType`
`getPhantomType()`
`String`
`getScanningLengthFromDLPAndCTDIVol()`
`ScanRange`
`getScanRange()`
`CTScanType`
`getScanType()`
`String`
`getScopeUID()`
`String`
`getSeriesOrAcquisitionNumber()`
`ContentItem`
`getStructuredReportFragment(ContentItem root)`
`ContentItem`
`getStructuredReportFragment(ContentItem root, CodedSequenceItem defaultAnatomy)`
`int`
`hashCode()`
`boolean`
`isSeriesNumberNotAcquisitionNumber()`
`boolean`
`matchForMerge(CTDoseAcquisition oda)`
`void`
`merge(CTDoseAcquisition acqMerge)`
`void`
`setAcquisitionParameters(CTAcquisitionParameters acquisitionParameters)`
`void`
`setDoseCheckDetails(CTDoseCheckDetails doseCheckDetails)`
`boolean`
`specifiedDLPMatchesDLPFromRangeAndCTDIvol()`
`String`
`toString()`
`String`
`toString(boolean pretty)`

### Methods inherited from class java.lang.Object

`clone, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### scopeUID

protected String scopeUID

### seriesOrAcquisitionNumberIsSeries

protected boolean seriesOrAcquisitionNumberIsSeries

### seriesOrAcquisitionNumber

protected String seriesOrAcquisitionNumber

### scanType

protected CTScanType scanType

### scanRange

protected ScanRange scanRange

### CTDIvol

protected String CTDIvol

### DLP

protected String DLP

### phantomType

protected CTPhantomType phantomType

### acquisitionParameters

protected CTAcquisitionParameters acquisitionParameters

### doseCheckDetails

protected CTDoseCheckDetails doseCheckDetails

### contentItemFragment

protected ContentItem contentItemFragment

### entireBodyDefaultAnatomy

protected static CodedSequenceItem entireBodyDefaultAnatomy

## Constructor Details

### CTDoseAcquisition

public CTDoseAcquisition(String scopeUID, boolean seriesOrAcquisitionNumberIsSeries, String seriesOrAcquisitionNumber, CTScanType scanType, ScanRange scanRange, String CTDIvol, String DLP, CTPhantomType phantomType)

### CTDoseAcquisition

public CTDoseAcquisition(String scopeUID, ContentItem parent)

## Method Details

### checkUnitIs_mGy

public static boolean checkUnitIs_mGy(CodedSequenceItem unit)

### checkUnitIs_mGycm

public static boolean checkUnitIs_mGycm(CodedSequenceItem unit)

### getScopeUID

public String getScopeUID()

### isSeriesNumberNotAcquisitionNumber

public boolean isSeriesNumberNotAcquisitionNumber()

### getSeriesOrAcquisitionNumber

public String getSeriesOrAcquisitionNumber()

### getScanType

public CTScanType getScanType()

### getScanRange

public ScanRange getScanRange()

### getCTDIvol

public String getCTDIvol()

### getDLP

public String getDLP()

### getPhantomType

public CTPhantomType getPhantomType()

### setAcquisitionParameters

public void setAcquisitionParameters(CTAcquisitionParameters acquisitionParameters)

### getDoseCheckDetails

public CTDoseCheckDetails getDoseCheckDetails()

### setDoseCheckDetails

public void setDoseCheckDetails(CTDoseCheckDetails doseCheckDetails)

### getAcquisitionParameters

public CTAcquisitionParameters getAcquisitionParameters()

### merge

public void merge(CTDoseAcquisition acqMerge)

### matchForMerge

public boolean matchForMerge(CTDoseAcquisition oda)

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### getScanningLengthFromDLPAndCTDIVol

public String getScanningLengthFromDLPAndCTDIVol()

### getDLPFromRangeAndCTDIvol

public String getDLPFromRangeAndCTDIvol()

### specifiedDLPMatchesDLPFromRangeAndCTDIvol

public boolean specifiedDLPMatchesDLPFromRangeAndCTDIvol()

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### toString

public String toString(boolean pretty)

### getHTMLTableHeaderRow

public String getHTMLTableHeaderRow()

### getHTMLTableRow

public String getHTMLTableRow()

### getStructuredReportFragment

public ContentItem getStructuredReportFragment(ContentItem root) throws DicomException

Throws:
  `DicomException`

### getStructuredReportFragment

public ContentItem getStructuredReportFragment(ContentItem root, CodedSequenceItem defaultAnatomy) throws DicomException

Throws:
  `DicomException`